Bug 984968 - Qpid is not starting correctly on F18, F19 and CentOS 6.4
Qpid is not starting correctly on F18, F19 and CentOS 6.4
Status: CLOSED WONTFIX
Product: RDO
Classification: Community
Component: distribution (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Darryl L. Pierce
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 09:46 EDT by Dave Neary
Modified: 2015-06-21 20:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-17 14:04:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Neary 2013-07-16 09:46:23 EDT
On a clean Fedora 18, Fedora 19 and CentOS 6.4 installation, we have reports of qpid not starting, and having issues starting because of a missing sasldb file.

* http://openstack.redhat.com/forum/discussion/326/fedora18-packstack-post-installation-issues
* http://openstack.redhat.com/forum/discussion/293/error-on-openstack-status/p1
* http://openstack.redhat.com/Qpid_errors
* http://openstack.redhat.com/forum/discussion/289/fresh-install-broken-after-restart/p1
Comment 1 Steven Hardy 2014-01-07 17:16:28 EST
Hmm, I think I may have duplicated this bug with my report under bug #1049488

This problem still seems to occur with latest RDO Havana installed via the F20 repos, several services fail to connect to until qpidd is restarted after reboot, this is a repeatable failure on my test platform.
Comment 2 Alan Pevec 2014-01-09 12:39:19 EST
Steve, do you see qpidd.sasldb corruption as described in http://openstack.redhat.com/Qpid_errors ?
Comment 3 Steven Hardy 2014-05-20 05:42:21 EDT
(In reply to Alan Pevec from comment #2)
> Steve, do you see qpidd.sasldb corruption as described in
> http://openstack.redhat.com/Qpid_errors ?

No, I don't think that was the problem, but recent qpid versions seem to have fixed my issue, which I think was a duplicate of bz #1055660 and not related to the sasldb problem.
Comment 5 Lars Kellogg-Stedman 2015-03-17 14:04:14 EDT
I'm closing this bz: F18 and F19 are both end-of-life, and our deployments are now using rabbitmq.

Note You need to log in before you can comment on or make changes to this bug.